apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: vmb-udn-9ac7b54ab94740b9
  namespace: test-user-defined-network-ns
spec:
  runStrategy: Halted
  template:
    metadata:
      labels:
        udn-649ae9db: "true"
    spec:
      domain:
        cpu:
          cores: 1
        memory:
          guest: 1Gi
        devices:
          disks:
            - name: containerdisk
              disk:
                bus: virtio
          interfaces:
            - name: udn-primary
              binding:
                name: l2bridge
      networks:
        - name: udn-primary
          pod: {}
      volumes:
        - name: containerdisk
          containerDisk:
            image: quay.io/openshift-cnv/qe-cnv-tests-fedora:41@sha256:a91659fba4e0258dda1be076dd6e56e34d9bf3dce082e57f939994ce0f124348
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            - labelSelector:
                matchExpressions:
                  - key: udn-649ae9db
                    operator: In
                    values:
                      - "true"
              topologyKey: kubernetes.io/hostname
